jdebug Documentation: Class SourceNameReferenceTypeSpec

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger.spec
Class SourceNameReferenceTypeSpec

    java.lang.Object
      |
      +--jde.debugger.spec.SourceNameReferenceTypeSpec

public class SourceNameReferenceTypeSpec
extends java.lang.Object
implements ReferenceTypeSpec

SourceNameReferenceTypeSpec.java Created: Mon Jul 19 13:52:21 1999

Since:
  0.1

Field Summary
`(package private) int` | `lineNumber`
`(package private) java.lang.String` | `sourceName`

Constructor Summary
`SourceNameReferenceTypeSpec(java.lang.String src, int line)`

Method Summary
`java.lang.String` | `getSourceName()`
`boolean` | `matches(com.sun.jdi.ReferenceType refType)` Does the specified ReferenceType match this spec.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### sourceName

    final java.lang.String sourceName

### lineNumber

    final int lineNumber

Constructor Detail

### SourceNameReferenceTypeSpec

    public SourceNameReferenceTypeSpec(java.lang.String src,
                                       int line)

Method Detail

### getSourceName

    public java.lang.String getSourceName()

### matches

    public boolean matches(com.sun.jdi.ReferenceType refType)

  Does the specified ReferenceType match this spec.
  Specified by:
    matches in interface ReferenceTypeSpec
  Tags copied from interface: ReferenceTypeSpec
  Returns:
    true if the ref type matches this spec

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD